Skip to main content
POST
/
v1
/
templates
/
send-bulk
Send a template message to multiple Slack destinations
curl --request POST \
  --url https://api.lithoblocks.com/v1/templates/send-bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "template_id": "<string>",
  "data": {},
  "destinations": [
    {
      "channel_id": "<string>",
      "recipient_email": "jsmith@example.com",
      "recipient_slack_id": "<string>"
    }
  ]
}
'
{
  "success": true,
  "results": [
    {
      "destination": {
        "channel_id": "<string>",
        "recipient_email": "jsmith@example.com",
        "recipient_slack_id": "<string>"
      },
      "channel": "<string>",
      "success": true,
      "message_ts": "<string>",
      "error": "<string>",
      "credit_log_id": "<string>"
    }
  ],
  "total_sent": 123,
  "total_failed": 123,
  "remaining_credits": 123,
  "warnings": [
    "<string>"
  ],
  "slack_truncation": {
    "fields_truncated": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lithoblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

LithoBlocks API key obtained from your organization dashboard

Body

application/json

Bulk send message request

template_id
string
required
data
object
required
destinations
object[]
required
Required array length: 1 - 100 elements

Response

Bulk send results

success
boolean
required
results
object[]
required
total_sent
number
required
total_failed
number
required
remaining_credits
number
warnings
string[]
slack_truncation
object